package your.pack;

import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.image.BufferedImage;
import java.io.IOException;
import java.net.URL;

import javax.imageio.ImageIO;
import javax.swing.JApplet;
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.SwingUtilities;
import javax.swing.border.EtchedBorder;


public class PinguScreen extends JApplet {
	
	// Entry point for Java Application
	public static void main(String[] args) {
		SwingUtilities.invokeLater(new Runnable() {
			public void run() {
				
				JFrame frame = new JFrame("PinguScreen");
				frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
				frame.add(new PinguPanel());
				
				frame.pack();
				frame.setLocationRelativeTo(null);
				frame.setVisible(true);
			}
		});
	}
	
	// Entry point for Java Applet
	@Override
	public void init() {
		JPanel panel = new PinguPanel();
		panel.setBorder(new EtchedBorder());
		add(panel);
		setSize(getPreferredSize());
	}
}

class PinguPanel extends JPanel {
	
	private BufferedImage image;
	
	public PinguPanel() {
		this.image = loadImage();
	}
	
	@Override
	public void paintComponent(Graphics g) {
		g.drawImage(image, 0, 0, null);
	}
	
	@Override
	public Dimension getPreferredSize() {
		return new Dimension(image.getWidth(), image.getHeight());
	}
	
	private BufferedImage loadImage() {
		try {
			URL url = PinguPanel.class.getResource("/ress/Tux.png"); // leading slash is necessary
			BufferedImage image = ImageIO.read(url);
			return image;
		} catch (IOException e) {
			throw new RuntimeException(e);
		}
	}
}
